export const TRIGGERS_DOCTYPE = 'io.cozy.triggers'

export type Trigger = {
  _id: string
  type: string
  workker: string
  arguments: string
  message: {
    account: string
    konnector: string
  }
}

export function isTrigger(trigger: any): trigger is Trigger {
  return (
    trigger &&
    '_id' in trigger &&
    'type' in trigger &&
    'workker' in trigger &&
    'arguments' in trigger &&
    'message' in trigger
  )
}
